LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07161Bug reports[All Projects] Survey designpublic2013-01-08 16:312013-01-15 09:51
Reporterhelper 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07161: Question preview error - Undefined index: refurl
DescriptionAttempting to preview a question I get "Undefined index: refurl"
Steps To ReproduceNavigate to a question (or group) and preview
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID130103
BrowserChrome, FF, IE
Database & DB-VersionSQL Server 2008
Operating System (Server)Windows 7 and 2008r2
Webserver software & versionApache 2.4
PHP VersionPHP 3.4
Attached Fileshtm file icon 1767.htm [^] (30,795 bytes) 2013-01-08 16:31

- Relationships
duplicate of 07186closedDenisChenu Preview Question and Preview Question Group buttons give error: Undefined index: refurl 

-  Notes
User avatar (23590)
helper (reporter)
2013-01-09 17:07

Updated to Version 2.00+ Build 130108 > Issue still exists
User avatar (23603)
c_schmitz (administrator)
2013-01-10 01:50

I cannot reproduce. Please attach the survey as .lss file. Thank you.
User avatar (23612)
helper (reporter)
2013-01-10 19:26

Happens on ALL surveys for me. Several different servers (different developers).
User avatar (23613)
helper (reporter)
2013-01-10 19:32

I am in the process of a new installation on another server from the latest package from LimeSurvey. Will update this ticket after I get the instance going. This seems to be an extreme method - one that I have had to do several times in the past few months to get past errors.
User avatar (23614)
helper (reporter)
2013-01-10 19:46

New installation, new database space, and the problem still exists on any survey (even a newly created one). Be sure to navigate down to the question before previewing.
User avatar (23618)
helper (reporter)
2013-01-11 14:33

I did a quick look at this value that LimeSurvey is attempting to get out of session.

Added to line 52: print_r($_SESSION[$LEMsessid]['refurl']);

Output for a survey is always "-" and output for question preview is null.

I am wondering if this should be $_SESSION['refurl'] (for line 62 which would return the referring URL)?
User avatar (23642)
helper (reporter)
2013-01-14 14:38

This too is associated with the debug setting of the config.php. If I change out the setting from "2" to "0" I am able to preview. This is sad that a debug functionality is impairing functionality.
User avatar (23673)
mdekker (developer)
2013-01-15 09:46

Fixed for duplicate 07186 and released in build 130115

- Issue History
Date Modified Username Field Change
2013-01-08 16:31 helper New Issue
2013-01-08 16:31 helper File Added: 1767.htm
2013-01-09 17:07 helper Note Added: 23590
2013-01-10 01:50 c_schmitz Note Added: 23603
2013-01-10 01:50 c_schmitz Assigned To => c_schmitz
2013-01-10 01:50 c_schmitz Status new => feedback
2013-01-10 19:26 helper Note Added: 23612
2013-01-10 19:26 helper Status feedback => assigned
2013-01-10 19:32 helper Note Added: 23613
2013-01-10 19:46 helper Note Added: 23614
2013-01-11 14:33 helper Note Added: 23618
2013-01-14 14:38 helper Note Added: 23642
2013-01-15 09:42 DenisChenu Relationship added duplicate of 07186
2013-01-15 09:46 mdekker Note Added: 23673
2013-01-15 09:46 mdekker Status assigned => closed
2013-01-15 09:46 mdekker Assigned To c_schmitz => DenisChenu
2013-01-15 09:46 mdekker Resolution open => fixed
2013-01-15 09:46 mdekker Fixed in Version => 2.10
2013-01-15 09:51 DenisChenu Fixed in Version 2.10 => 2.00+


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker